# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ActionRequestAssignment Class Reference

Representation of STEP entity ActionRequestAssignment
.

`#include <StepBasic_ActionRequestAssignment.hxx>`

Inheritance diagram for StepBasic_ActionRequestAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ActionRequestAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_VersionedActionRequest)&aAssignedActionRequest)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_VersionedActionRequest | AssignedActionRequest () const
| Returns field AssignedActionRequest .
Standard_EXPORT void | SetAssignedActionRequest (const Handle(StepBasic_VersionedActionRequest)&AssignedActionRequest)
| Set field AssignedActionRequest .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_VersionedActionRequest | theAssignedActionRequest

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ActionRequestAssignment::StepBasic_ActionRequestAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_VersionedActionRequest StepBasic_ActionRequestAssignment::AssignedActionRequest | ( |  | ) | const

Standard_EXPORT const StepBasic_ActionRequestAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP203_ChangeRequest, and StepAP203_StartRequest.

Standard_EXPORT void StepBasic_ActionRequestAssignment::Init | ( | const Handle(StepBasic_VersionedActionRequest)& | aAssignedActionRequest | ) |

Standard_EXPORT void StepBasic_ActionRequestAssignment::SetAssignedActionRequest | ( | const Handle(StepBasic_VersionedActionRequest)& | AssignedActionRequest | ) |

## Field Documentation

Handle_StepBasic_VersionedActionRequest StepBasic_ActionRequestAssignment::theAssignedActionRequest `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ActionRequestAssignment.hxx